#!/bin/sh


# only try to set the LTSP_CLIENT if it is not already set
if [ ! "${LTSP_CLIENT}" ]; then
	# source the config files
	if [ -f /etc/ltsp.conf ]
	then
	   . /etc/ltsp.conf
	fi
	if [ -f /etc/sysconfig/k12ltsp ]
	then
	   . /etc/sysconfig/k12ltsp
	fi

	# if $DISPLAY is set, test for localhost, remote X, or ssh
	if [ "${DISPLAY}" ]; then
		MYNAME=`echo $DISPLAY | cut -d: -f1`
		SCREEN=`echo $DISPLAY | cut -d: -f2 | cut -d. -f1`
		# is it a SSH connection?
		if [ $SCREEN -ge 10 -a "${SSH_CONNECTION}" ]
		then
			LTSP_CLIENT=`echo $SSH_CONNECTION | cut -d" " -f1`
		# else it is a straight connection
		else
			LTSP_CLIENT=$MYNAME
		fi
	# is it a telnet connection?
	else
		if [ "${REMOTEHOST}" ]; then
			LTSP_CLIENT=${REMOTEHOST}
		fi
	fi

	# export the results...
	export LTSP_CLIENT=$LTSP_CLIENT
	eval `/usr/bin/ltspinfo -h $LTSP_CLIENT -c all 2> /dev/null`
fi
